c Output routines for the COMMAND_CONTROL object.

c Data types
c  CHARACTER*128      comdir      Directory for the command descriptor file
c  CHARACTER*128      docdir      Directory for help files.
c  CHARACTER*128      moddir      Directory for the model descriptor file.
c  INTEGER            autsav      Number of commands between auto saves,
c                                  0 -> auto save off.

c Output routines
c       cgcomd          function returns the command file directory.
c       cgdocd          function returns the help file directory.
c       cgmodd          function returns the model file directory.
c       cgasav          function returns the value of the auto save variable.

c *****************************************************************************
      FUNCTION cgcomd()

      INCLUDE 'ccntl.inc'

      CHARACTER cgcomd*(*)

c Returns the command file directory in use
c Arguments :
c      cgcomd   C*(*)    r: The command file directory

      cgcomd = comdir(:MIN(len(comdir),len(cgcomd)))

      RETURN
      END

c *****************************************************************************
      FUNCTION cgdocd()

      INCLUDE 'ccntl.inc'

      CHARACTER cgdocd*(*)

c Returns the help file directory in use
c Arguments :
c      cgdocd   C*(*)    r: The help file directory

      cgdocd = docdir(:MIN(len(docdir),len(cgdocd)))

      RETURN
      END

c *****************************************************************************
      FUNCTION cgmodd()

      INCLUDE 'ccntl.inc'

      CHARACTER cgmodd*(*)

c Returns the model file directory in use
c Arguments :
c      cgmodd   C*(*)    r: The model file directory

      cgmodd = moddir(:MIN(len(moddir),len(cgmodd)))

      RETURN
      END


c *****************************************************************************
      FUNCTION cgasav()

      INCLUDE 'ccntl.inc'

      INTEGER cgasav

c Returns the value for how often to auto save
c Arguments :
c      cgasav   I    i: The auto save value

      cgasav = autsav

      RETURN
      END
